Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Wait_On_Read Class Reference

`#include <Wait_On_Read.h>`

Inheritance diagram for TAO_Wait_On_Read:

[legend]
Collaboration diagram for TAO_Wait_On_Read:

[legend]
List of all members.

## Public Methods
| TAO_Wait_On_Read (TAO_Transport *transport)
| Constructor. More...
virtual | ~TAO_Wait_On_Read (void)
| Destructor. More...
virtual int | wait (ACE_Time_Value *max_wait_time, TAO_Synch_Reply_Dispatcher &rd)
| Base class virtual method. Wait till the <reply_received> flag is true or the time expires. More...
virtual int | register_handler (void)
| Register the handler needs with the reactor provided that it makes sense for the strategy. More...
virtual int | non_blocking (void)
| Returns a value to indicate whether the transport needs to set the socket on which it is waiting to non-blocking mode or not. More...

## Detailed Description

Simply block on read() to wait for the reply.

## Constructor & Destructor Documentation

TAO_Wait_On_Read::TAO_Wait_On_Read | ( | TAO_Transport * | transport | ) |

| Constructor.

TAO_Wait_On_Read::~TAO_Wait_On_Read | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_Wait_On_Read::non_blocking | ( | void |  | ) | `[virtual]`

| Returns a value to indicate whether the transport needs to set the socket on which it is waiting to non-blocking mode or not. Reimplemented from TAO_Wait_Strategy.

int TAO_Wait_On_Read::register_handler | ( | void |  | ) | `[virtual]`

| Register the handler needs with the reactor provided that it makes sense for the strategy. Reimplemented from TAO_Wait_Strategy.

int TAO_Wait_On_Read::wait | ( | ACE_Time_Value * | max_wait_time,
|  | TAO_Synch_Reply_Dispatcher & | rd
| ) | `[virtual]`

| Base class virtual method. Wait till the <reply_received> flag is true or the time expires. Reimplemented from TAO_Wait_Strategy.

The documentation for this class was generated from the following files:

- Wait_On_Read.h
- Wait_On_Read.cpp